Bug 192191 - [re-work/patch] games/minecraft-server from 1.4.6 to 1.8
Summary: [re-work/patch] games/minecraft-server from 1.4.6 to 1.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-28 13:28 UTC by Jonathan Price
Modified: 2014-10-10 12:59 UTC (History)
1 user (show)

See Also:


Attachments
SHAR file for games/minecraft-server (4.94 KB, text/plain)
2014-07-28 13:28 UTC, Jonathan Price
no flags Details
[PATCH] 1.7.10 -> 1.8 (1.29 KB, patch)
2014-09-03 19:35 UTC, Jonathan Price
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Price 2014-07-28 13:28:07 UTC
Created attachment 145079 [details]
SHAR file for games/minecraft-server

I have re-built the games/minecraft-server port from the ground up. The old version was for minecraft 1.4.6 (released 2012-12-20), whereas this new version is 1.7.10 (released 2014-06-26).

A summary of the changes are as follows:
- It now provides a "shortcut" in /usr/local/bin/minecraft-server. It is a basic script which launches the JAR file. This brings it in-line with similar ports such as games/xonotic
- the "world" files (essentially a database) is now stored in /var/db/minecraft-server
- the configuration files are now stored in /usr/local/etc/minecraft-server

All files are owned by the user and group "mcserver" (inherited from the old games/minecraft-server port). Therefore, while you need root to run /usr/local/bin/minecraft-server, it executes the jar file as mcserver, to minimise security issues.

It would be great if I could have some feedback on improvements; I am not very experienced with porting.
Comment 1 John Marino freebsd_committer 2014-07-28 13:49:24 UTC
Let's assign this to Sean and have him grade the port for you.  He reworked minecraft-client.  (server port is not currently maintained, so I can tell you right now putting "janik@hikarihq.com" as the maintainer is wrong.

You should consider putting your email address there.  :)
Comment 2 Jonathan Price 2014-09-03 19:35:11 UTC
Created attachment 146746 [details]
[PATCH] 1.7.10 -> 1.8

I have updated the port from Minecraft 1.7.10 to 1.8.

I have also changed the maintainer to myself as per the advice given.

Would it be possible to push this in to the ports tree?
Comment 3 John Marino freebsd_committer 2014-09-03 21:07:34 UTC
sean, are you going to handle this PR?  I forgot all about it.

If you don't intend to, tell me and I'll move it patch-ready unevaluated.
Comment 4 Sean Bruno freebsd_committer 2014-09-04 00:18:06 UTC
(In reply to John Marino from comment #3)
> sean, are you going to handle this PR?  I forgot all about it.
> 
> If you don't intend to, tell me and I'll move it patch-ready unevaluated.

Please let Jonathan have this port and commit what he needs done.  I can be a backup if needbe.
Comment 5 commit-hook freebsd_committer 2014-10-10 12:59:02 UTC
A commit references this bug:

Author: marino
Date: Fri Oct 10 12:58:05 UTC 2014
New revision: 370574
URL: https://svnweb.freebsd.org/changeset/ports/370574

Log:
  games/minecraft-server: Upgrade version 1.4.6 => 1.8

  Assign maintainship to submitter

  PR:		192191
  Submitted by:	Jonathan Price

Changes:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/distinfo
  head/games/minecraft-server/files/banned-ips.txt.sample
  head/games/minecraft-server/files/banned-players.txt.sample
  head/games/minecraft-server/files/minecraft-server
  head/games/minecraft-server/files/minecraft.in
  head/games/minecraft-server/files/ops.txt.sample
  head/games/minecraft-server/files/pkg-deinstall.in
  head/games/minecraft-server/files/pkg-message.in
  head/games/minecraft-server/files/server.properties.sample
  head/games/minecraft-server/files/white-list.txt.sample
  head/games/minecraft-server/pkg-descr
  head/games/minecraft-server/pkg-plist
Comment 6 John Marino freebsd_committer 2014-10-10 12:59:49 UTC
Thanks!

I tweaked the pkg-plist a bit to conform to current practices.   It passes poudriere cleanly.